(define-module (ui moodle-install newconf ajax)
  :use-module (srfi srfi-1)
  :use-module (alterator ajax)
  :use-module (alterator woo)
  :export (init))

(define (refresh-form)
  (catch/message
    (lambda ()
      (form-update-enum "lang" (woo-list "/moodle-install/langs"
                                         'language (form-value "language")))
      (form-update-enum "dbtype" (woo-list "/moodle-install/dbtypes"
                                           'language (form-value "language")))
      (form-update-value-list '("fullname" "shortname" "wwwroot" "adminuser" "dbtype" "basedbname" "dbuser" "adminpass" "dbpass")
                              (woo-read-first "/moodle-install/newconf")))))

(define (configure)
  (catch/message
    (lambda ()
      (woo-write "/moodle-install/newconf"
		 'lang (form-value "lang")
		 'dbtype (form-value "dbtype")
		 'fullname (form-value "fullname")
		 'shortname (form-value "shortname")
		 'wwwroot (form-value "wwwroot")
		 'adminuser (form-value "adminuser")
		 'basedbname (form-value "basedbname")
		 'dbuser (form-value "dbuser")
		 'adminpass (form-value "adminpass")
		 'dbpass (form-value "dbpass"))
      (form-replace "/moodle-install"))))

(define (init)
  (form-bind "configure" "click" configure)
  (form-bind "back" "click"
    (lambda ()
      (form-replace "/moodle-install")))
  (refresh-form))
